package ejb;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.ejb.LocalBean;
import javax.ejb.Stateful;

@Stateful
@LocalBean
public class RozmowaBean implements Rozmowa {
	private String imie;
	
	public RozmowaBean() {
		System.out.println("RozmowaBean()");
	}
	
	@PostConstruct
	public void postConstruct() {
		System.out.println("@PostConstruct");
	}
	
	@PreDestroy
	public void preDestroy() {
		System.out.println("@PreDestroy");
	}
	
	
	public String witaj(String imie) {
		this.imie = imie;
		return "Witaj " + imie;
	}

	public String czyMogeKupicPiwo(int wiek) {
		if(wiek >= 18) {
			return "Możesz kupić piwo, " + imie;
		} else {
			return imie + ", nie możesz kupić piwa, bo masz za mało lat (" + wiek + ")";
		}
	}

}
